# This Makefile.PL for Rex was generated by
# Dist::Zilla::Plugin::MakeMaker::Awesome 0.48.
# Don't edit it but the dist.ini and plugins used to construct it.

use strict;
use warnings;

use 5.010001;
use ExtUtils::MakeMaker 7.1101;

die 'OS unsupported' if ( $^O eq 'MSWin32' && scalar((Win32::GetOSVersion())[1]) < 6 );

my %WriteMakefileArgs = (
  "ABSTRACT" => "the friendly automation framework",
  "AUTHOR" => "Jan Gehring <jfried\@rexify.org>",
  "BUILD_REQUIRES" => {
    "Test::Pod" => 0,
    "Test::UseAllModules" => "0.15"
  },
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => "7.1101"
  },
  "DISTNAME" => "Rex",
  "EXE_FILES" => [
    "bin/rex",
    "bin/rexify"
  ],
  "LICENSE" => "apache",
  "MIN_PERL_VERSION" => "5.010001",
  "NAME" => "Rex",
  "PREREQ_PM" => {
    "AWS::Signature4" => 0,
    "Carp" => 0,
    "Cwd" => 0,
    "Data::Dumper" => 0,
    "Data::Validate::IP" => 0,
    "Devel::Caller" => 0,
    "Digest::HMAC_SHA1" => 0,
    "Digest::MD5" => 0,
    "Exporter" => 0,
    "Fcntl" => 0,
    "File::Basename" => 0,
    "File::Spec" => 0,
    "File::Spec::Unix" => 0,
    "File::Spec::Win32" => 0,
    "FindBin" => 0,
    "HTTP::Request" => 0,
    "HTTP::Request::Common" => 0,
    "Hash::Merge" => 0,
    "IO::File" => 0,
    "IO::Select" => 0,
    "IO::Socket" => 0,
    "IO::String" => 0,
    "IPC::Open3" => 0,
    "JSON::MaybeXS" => 0,
    "LWP::UserAgent" => 0,
    "List::MoreUtils" => 0,
    "List::Util" => 0,
    "MIME::Base64" => 0,
    "Net::OpenSSH::ShellQuoter" => 0,
    "POSIX" => 0,
    "Scalar::Util" => 0,
    "Sort::Naturally" => 0,
    "Storable" => 0,
    "Symbol" => 0,
    "Term::ReadKey" => 0,
    "Test::Builder::Module" => 0,
    "Text::Glob" => 0,
    "Text::Wrap" => 0,
    "Time::HiRes" => 0,
    "UNIVERSAL" => 0,
    "URI" => 0,
    "URI::QueryParam" => 0,
    "XML::Simple" => 0,
    "YAML" => ">= 0, != 1.25",
    "attributes" => 0,
    "base" => 0,
    "constant" => 0,
    "lib" => 0,
    "overload" => 0,
    "strict" => 0,
    "vars" => 0,
    "version" => 0,
    "warnings" => 0
  },
  "TEST_REQUIRES" => {
    "File::Temp" => 0,
    "Parallel::ForkManager" => 0,
    "String::Escape" => 0,
    "Test::Deep" => 0,
    "Test::More" => 0,
    "Test::UseAllModules" => "0.15"
  },
  "VERSION" => "1.7.1",
  "test" => {
    "TESTS" => "t/*.t t/commands/*.t t/issue/*.t"
  }
);

my %FallbackPrereqs = (
  "AWS::Signature4" => 0,
  "Carp" => 0,
  "Cwd" => 0,
  "Data::Dumper" => 0,
  "Data::Validate::IP" => 0,
  "Devel::Caller" => 0,
  "Digest::HMAC_SHA1" => 0,
  "Digest::MD5" => 0,
  "Exporter" => 0,
  "Fcntl" => 0,
  "File::Basename" => 0,
  "File::Spec" => 0,
  "File::Spec::Unix" => 0,
  "File::Spec::Win32" => 0,
  "File::Temp" => 0,
  "FindBin" => 0,
  "HTTP::Request" => 0,
  "HTTP::Request::Common" => 0,
  "Hash::Merge" => 0,
  "IO::File" => 0,
  "IO::Select" => 0,
  "IO::Socket" => 0,
  "IO::String" => 0,
  "IPC::Open3" => 0,
  "JSON::MaybeXS" => 0,
  "LWP::UserAgent" => 0,
  "List::MoreUtils" => 0,
  "List::Util" => 0,
  "MIME::Base64" => 0,
  "Net::OpenSSH::ShellQuoter" => 0,
  "POSIX" => 0,
  "Parallel::ForkManager" => 0,
  "Scalar::Util" => 0,
  "Sort::Naturally" => 0,
  "Storable" => 0,
  "String::Escape" => 0,
  "Symbol" => 0,
  "Term::ReadKey" => 0,
  "Test::Builder::Module" => 0,
  "Test::Deep" => 0,
  "Test::More" => 0,
  "Test::Pod" => 0,
  "Test::UseAllModules" => "0.15",
  "Text::Glob" => 0,
  "Text::Wrap" => 0,
  "Time::HiRes" => 0,
  "UNIVERSAL" => 0,
  "URI" => 0,
  "URI::QueryParam" => 0,
  "XML::Simple" => 0,
  "YAML" => ">= 0, != 1.25",
  "attributes" => 0,
  "base" => 0,
  "constant" => 0,
  "lib" => 0,
  "overload" => 0,
  "strict" => 0,
  "vars" => 0,
  "version" => 0,
  "warnings" => 0
);

unless ( eval { ExtUtils::MakeMaker->VERSION('6.63_03') } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

if ( $^O !~ /MSWin/i ) {
	$WriteMakefileArgs{PREREQ_PM}{'IO::Pty'} = $FallbackPrereqs{'IO::Pty'} = '0';
	$WriteMakefileArgs{PREREQ_PM}{'Net::OpenSSH'} = $FallbackPrereqs{'Net::OpenSSH'} = '0';
	$WriteMakefileArgs{PREREQ_PM}{'Net::SFTP::Foreign'} = $FallbackPrereqs{'Net::SFTP::Foreign'} = '0';
}

if ( $^O =~ /MSWin/i ) {
	$WriteMakefileArgs{PREREQ_PM}{'Net::SSH2'} = $FallbackPrereqs{'Net::SSH2'} = '0';
}

WriteMakefile(%WriteMakefileArgs);
